<?php
// F�hrt einen SQL Befehl aus
// $con ... connection von mysqli_affected_rows
// $stop_on_error .... wenn false, dann wird kein Fehler ausgegeben und einfach weitergemacht, ansonsten stopp das Programm
function sIT_mysql_run_query($con, $query, $stop_on_error=true)
{
	$ergebnis=mysqli_query($con,$query);
	
	if (!$ergebnis)
	{
		if ($stop_on_error)
		{
			echo "Error: Fehler beim Ausfuehren eines Query." . PHP_EOL;
			//var_dump($con);
			echo ": " .mysqli_errno($con) . PHP_EOL;
			echo "Debugging errno: " . mysqli_errno($con) . PHP_EOL;
			echo "Debugging error: " . mysqli_error($con) . PHP_EOL;
			echo "Query: " . $query . PHP_EOL;
			//exit;
		}
		else return mysqli_error($con);
	}
	
	return($ergebnis);
}

function sIT_mysql_get_row($ergebnis)
{
	$row = mysqli_fetch_assoc($ergebnis);
	return($row);
}

function sIT_mysql_num_rows($ergebnis)
{
	$row = mysqli_num_rows($ergebnis);
	return($row);
}

function sIT_mysql_insert_id($ergebnis)
{
	$id = mysqli_insert_id($ergebnis);
	return($id);
}

function sIT_mysql_connect($host, $user, $passwort, $database)
{
	$con = mysqli_connect($host, $user, $passwort, $database);
	//mysqli_set_charset($con, "utf8");
	if (!$con) {
		echo "Error: Unable to connect to MySQL." . PHP_EOL;
		echo "DB: ".$database;
		echo "Debugging errno: " . mysqli_connect_errno() . PHP_EOL;
		echo "Debugging error: " . mysqli_connect_error() . PHP_EOL;
		exit;
	}
	return($con);

}
?>